Bug 2062748 - [vsphere] Not found TagCategory when destroying ipi cluster
Summary: [vsphere] Not found TagCategory when destroying ipi cluster
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.10
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.10.z
Assignee: Rafael Fonseca
QA Contact: jima
URL:
Whiteboard:
Depends On: 2021041
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-03-10 14:00 UTC by OpenShift BugZilla Robot
Modified: 2022-03-21 12:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-21 12:40:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 5696 0 None Merged [release-4.10] Bug 2062748: vsphere: Not found TagCategory when destroying ipi cluster 2022-03-11 18:38:55 UTC
Red Hat Product Errata RHBA-2022:0928 0 None None None 2022-03-21 12:40:51 UTC

Comment 3 W. Trevor King 2022-03-11 18:40:37 UTC
This just landed, so it won't make it into the already-released 4.10.3 GA release.  Moving the target to 4.10.z.  Looks like the PR Bugzilla validation happened just before GA [1]?  I'm not entirely sure how this slipped through Prow plugin validation.

[1]: https://github.com/openshift/installer/pull/5696#issuecomment-1064094788

Comment 4 jima 2022-03-14 02:10:47 UTC
verified on 4.10.0-0.nightly-2022-03-13-040322 and passed.

1. Install cluster A and cluster B against 4.10.0-0.nightly-2022-03-13-040322
2. Destroy cluster A by running command "openshift-install destroy cluster --dir <install_dir>", when finding attached objects on tag, start to destroy cluster B, so that the step of finding attached objects on tag on cluster B is running at same time with the step of Delete tag on cluster A.
3. Check that cluster B is destroy finally without any error.

Cluster A destroying log:
03-14 09:54:19.925  level=debug msg=OpenShift Installer 4.10.0-0.nightly-2022-03-13-040322
03-14 09:54:19.925  level=debug msg=Built from commit 26fec8834ed5b3fef59f4f08f16c66fce52c001e
03-14 09:54:20.887  level=debug msg=Find attached objects on tag

03-14 09:55:57.350  level=debug msg=Find VirtualMachine objects
03-14 09:55:57.350  level=debug msg=Delete VirtualMachines
03-14 09:55:57.350  level=info msg=Destroyed VirtualMachine=jima2062748a-6hjgt-rhcos
03-14 09:55:57.350  level=debug msg=Powered off VirtualMachine=jima2062748a-6hjgt-master-1
03-14 09:55:57.350  level=info msg=Destroyed VirtualMachine=jima2062748a-6hjgt-master-1
03-14 09:55:57.605  level=debug msg=Powered off VirtualMachine=jima2062748a-6hjgt-master-2

03-14 09:55:58.198  level=info msg=Destroyed VirtualMachine=jima2062748a-6hjgt-master-2

03-14 09:55:59.574  level=debug msg=Powered off VirtualMachine=jima2062748a-6hjgt-master-0
03-14 09:56:00.496  level=info msg=Destroyed VirtualMachine=jima2062748a-6hjgt-master-0

03-14 09:56:01.419  level=debug msg=Powered off VirtualMachine=jima2062748a-6hjgt-worker-mdfcc
03-14 09:56:03.302  level=info msg=Destroyed VirtualMachine=jima2062748a-6hjgt-worker-mdfcc

03-14 09:56:03.861  level=debug msg=Powered off VirtualMachine=jima2062748a-6hjgt-worker-gdj9x
03-14 09:56:04.788  level=info msg=Destroyed VirtualMachine=jima2062748a-6hjgt-worker-gdj9x
03-14 09:56:04.788  level=debug msg=Find Folder objects
03-14 09:56:04.788  level=debug msg=Delete Folder
03-14 09:56:05.071  level=info msg=Destroyed Folder=jima2062748a-6hjgt

03-14 09:56:07.596  level=info msg=Destroyed StoragePolicy=openshift-storage-policy-jima2062748a-6hjgt
03-14 09:56:07.596  level=debug msg=Delete tag

03-14 09:57:43.970  level=info msg=Destroyed Tag=jima2062748a-6hjgt
03-14 09:57:43.970  level=debug msg=Delete tag category

03-14 10:00:05.448  level=info msg=Destroyed TagCategory=openshift-jima2062748a-6hjgt
03-14 10:00:05.448  level=debug msg=Purging asset "Metadata" from disk
03-14 10:00:05.449  level=debug msg=Purging asset "Master Ignition Customization Check" from disk
03-14 10:00:05.449  level=debug msg=Purging asset "Worker Ignition Customization Check" from disk
03-14 10:00:05.449  level=debug msg=Purging asset "Terraform Variables" from disk
03-14 10:00:05.449  level=debug msg=Purging asset "Kubeconfig Admin Client" from disk
03-14 10:00:05.449  level=debug msg=Purging asset "Kubeadmin Password" from disk
03-14 10:00:05.449  level=debug msg=Purging asset "Certificate (journal-gatewayd)" from disk
03-14 10:00:05.449  level=debug msg=Purging asset "Cluster" from disk
03-14 10:00:05.449  level=info msg=Time elapsed: 5m37s

Cluster B destroying log:
03-14 09:56:39.547  level=debug msg=OpenShift Installer 4.10.0-0.nightly-2022-03-13-040322
03-14 09:56:39.547  level=debug msg=Built from commit 26fec8834ed5b3fef59f4f08f16c66fce52c001e

03-14 09:56:40.497  level=debug msg=Find attached objects on tag

03-14 09:58:16.993  level=debug msg=Find VirtualMachine objects
03-14 09:58:16.993  level=debug msg=Delete VirtualMachines
03-14 09:58:16.993  level=info msg=Destroyed VirtualMachine=jima2062748b-lmnpt-rhcos
03-14 09:58:16.993  level=debug msg=Powered off VirtualMachine=jima2062748b-lmnpt-master-2
03-14 09:58:16.993  level=info msg=Destroyed VirtualMachine=jima2062748b-lmnpt-master-2
03-14 09:58:17.922  level=debug msg=Powered off VirtualMachine=jima2062748b-lmnpt-master-0

03-14 09:58:20.357  level=info msg=Destroyed VirtualMachine=jima2062748b-lmnpt-master-0
03-14 09:58:20.358  level=debug msg=Powered off VirtualMachine=jima2062748b-lmnpt-master-1
03-14 09:58:20.358  level=info msg=Destroyed VirtualMachine=jima2062748b-lmnpt-master-1

03-14 09:58:21.290  level=debug msg=Powered off VirtualMachine=jima2062748b-lmnpt-worker-jk689
03-14 09:58:21.568  level=info msg=Destroyed VirtualMachine=jima2062748b-lmnpt-worker-jk689

03-14 09:58:22.931  level=debug msg=Powered off VirtualMachine=jima2062748b-lmnpt-worker-54l5s
03-14 09:58:23.492  level=info msg=Destroyed VirtualMachine=jima2062748b-lmnpt-worker-54l5s
03-14 09:58:23.492  level=debug msg=Find Folder objects
03-14 09:58:23.492  level=debug msg=Delete Folder

03-14 09:58:24.065  level=info msg=Destroyed Folder=jima2062748b-lmnpt

03-14 09:58:26.585  level=info msg=Destroyed StoragePolicy=openshift-storage-policy-jima2062748b-lmnpt
03-14 09:58:26.585  level=debug msg=Delete tag

03-14 10:00:03.001  level=info msg=Destroyed Tag=jima2062748b-lmnpt
03-14 10:00:03.002  level=debug msg=Delete tag category
03-14 10:00:03.002  level=info msg=Destroyed TagCategory=openshift-jima2062748b-lmnpt
03-14 10:00:03.002  level=debug msg=Purging asset "Metadata" from disk
03-14 10:00:03.002  level=debug msg=Purging asset "Master Ignition Customization Check" from disk
03-14 10:00:03.002  level=debug msg=Purging asset "Worker Ignition Customization Check" from disk
03-14 10:00:03.002  level=debug msg=Purging asset "Terraform Variables" from disk
03-14 10:00:03.002  level=debug msg=Purging asset "Kubeconfig Admin Client" from disk
03-14 10:00:03.002  level=debug msg=Purging asset "Kubeadmin Password" from disk
03-14 10:00:03.002  level=debug msg=Purging asset "Certificate (journal-gatewayd)" from disk
03-14 10:00:03.002  level=debug msg=Purging asset "Cluster" from disk
03-14 10:00:03.002  level=info msg=Time elapsed: 3m14s

Comment 7 errata-xmlrpc 2022-03-21 12:40:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.10.5 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2022:0928


Note You need to log in before you can comment on or make changes to this bug.